{"components":{"schemas":{"AuxiliaryCompanyName":{"description":"Auxiliary company name","properties":{"auxiliaryCompanyName":{"description":"Auxiliary company name","type":"string"},"auxiliaryCompanyRegistrationDate":{"description":"Date of registration of the auxiliary company name","type":"string"},"translationsOfTheAuxiliaryCompanyName":{"description":"Translations of the auxiliary company name","items":{"$ref":"#/components/schemas/TranslationOfTheAuxiliaryCompanyName"},"type":"array"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"MultiCompaniesOverviewsResult":{"description":"Multiple companies overviews result","properties":{"records":{"description":"found overview(s)","items":{"$ref":"#/components/schemas/Overview"},"type":"array"},"responseInfo":{"$ref":"#/components/schemas/ResponseInfo"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"MultiCompanyRequest":{"description":"Multiple companies ids request","properties":{"companyIds":{"description":"array of company id","items":{"description":"array of company id","type":"string"},"type":"array"},"requestKey":{"description":"cache key for companies id-s in sandbox","type":"string"}},"type":"object"},"Overview":{"description":"Company Overview","properties":{"auxiliaryCompanyNames":{"description":"Auxiliary company name (there may be several)","items":{"$ref":"#/components/schemas/AuxiliaryCompanyName"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company","type":"string"},"companyName":{"description":"Company name","type":"string"},"companyNameRegistrationDate":{"description":"Date of registration company name","type":"string"},"companyRegistrationDate":{"description":"Date of entry of business into the Trade Register (first registration)","type":"string"},"contactInformationRegistrationDate":{"description":"Contact details submitted by the business; date when the details were changed ","type":"string"},"dissolutionDate":{"description":"Dissolution date","type":"string"},"dissolutionMode":{"description":"Dissolution mode","type":"string"},"domicileCode":{"description":"Registered office (domicile) as a code; text is shown if there is no code available for the registered office","type":"string"},"domicileRegistrationDate":{"description":"Office registration date","type":"string"},"domicileText":{"description":"Registered office as a text","type":"string"},"email":{"description":"Email ","type":"string"},"faxNumber":{"description":"Fax","type":"string"},"industryCode":{"description":"Industry code","type":"string"},"industryText":{"description":"Industry code description","type":"string"},"informationCheckedDate":{"description":"Date when the business details were transferred to the register system ","type":"string"},"languageCode":{"description":"The language the business has used for registering their information (as a code)","type":"string"},"latestRegistrationDate":{"description":"Latest date of registration (date when the most recent detail or change was registered for the business or organisation)","type":"string"},"legalGroupCode":{"description":"Type of business, as a code ","type":"string"},"legalGroupText":{"description":"Type of business, as a text","type":"string"},"legalGroupregistrationDate":{"description":"Date of legal group code registration","type":"string"},"parallelCompanyNames":{"description":"A translation of the company name (there may be several parallel company names); language of the translation; and date of registration of the name","items":{"$ref":"#/components/schemas/ParallelCompanyName"},"type":"array"},"parallelIndustryTexts":{"description":"Translations of industry code description","items":{"$ref":"#/components/schemas/Translation"},"type":"array"},"parallelLegalGroupTexts":{"description":"Translations of type of business text","items":{"$ref":"#/components/schemas/Translation"},"type":"array"},"parallelTopDirectorFunctions":{"description":"Translations of top director role","items":{"$ref":"#/components/schemas/Translation"},"type":"array"},"phoneNumber":{"description":"Telephone","type":"string"},"postAddress":{"description":"Street address","type":"string"},"postCoAddress":{"description":"Co specifier","type":"string"},"postCountry":{"description":"Country","type":"string"},"postTown":{"description":"Town/city","type":"string"},"postZipCode":{"description":"Postal code","type":"string"},"registers":{"description":"Registers information","items":{"$ref":"#/components/schemas/Register"},"type":"array"},"statusCode":{"description":"Company situation","type":"string"},"statusRegistrationDate":{"description":"Date of registration","type":"string"},"statusStartDate":{"description":"Start date of proceedings","type":"string"},"topDirectorFunction":{"description":"Top director role","type":"string"},"topDirectorName":{"description":"Name of top director","type":"string"},"visitAddress":{"description":"Street address","type":"string"},"visitCoAddress":{"description":"Co specifier","type":"string"},"visitCountry":{"description":"Country","type":"string"},"visitTown":{"description":"Town/city","type":"string"},"visitZipCode":{"description":"Postal code","type":"string"},"webAddress":{"description":"Web address, home page address ","type":"string"}},"type":"object"},"OverviewsResult":{"description":"Company(s) overview(s) result","properties":{"records":{"description":"found overview(s)","items":{"$ref":"#/components/schemas/Overview"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"ParallelCompanyName":{"description":"Parallel company name","properties":{"parallelCompanyLanguage":{"description":"Language of the translation","type":"string"},"parallelCompanyName":{"description":"A translation of the company name","type":"string"},"parallelCompanyRegistrationDate":{"description":"Date of registration of the name","type":"string"}},"type":"object"},"Register":{"description":"Information about registered register","properties":{"parallelRegisterNames":{"description":"Translations of register name","items":{"$ref":"#/components/schemas/Translation"},"type":"array"},"parallelStatuses":{"description":"Translations of status","items":{"$ref":"#/components/schemas/Translation"},"type":"array"},"registerName":{"description":"Register name","type":"string"},"registrationDate":{"description":"Date of registration","type":"string"},"status":{"description":"Status of being in the register","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"ResponseInfo":{"description":"Multiple response information","properties":{"hitCount":{"description":"Number of companyIds in response (companyIds that could be found)","format":"int32","type":"integer"},"noMatchIds":{"description":"Array of companyIds that was in request but could not be matched","items":{"description":"Array of companyIds that was in request but could not be matched","type":"string"},"type":"array"},"requestCount":{"description":"Number of requested companyIds","format":"int32","type":"integer"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"Translation":{"description":"Translation of text","properties":{"langCode":{"description":"Translation language iso code","type":"string"},"text":{"description":"Translation text","type":"string"}},"type":"object"},"TranslationOfTheAuxiliaryCompanyName":{"description":"Translation of the auxiliary company name","properties":{"translationOfTheAuxiliaryCompanyLanguage":{"description":"Language of translation","type":"string"},"translationOfTheAuxiliaryCompanyName":{"description":"Translation of the auxiliary company name","type":"string"},"translationOfTheAuxiliaryCompanyRegistrationDate":{"description":"Date of registration of translation","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Fetch company/companies overview(s)\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Overview","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-overview-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"It supports date parameter to find overview up to date","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find overview by company id","tags":["OverviewFi"]}},"/history/{companyId}":{"get":{"description":"Changes of the company within specified date range. The range includes \"from\" and excludes \"to\".","operationId":"history","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history overview by company id","tags":["OverviewFi"]}},"/":{"post":{"description":"It supports date parameter to find overviews up to date","operationId":"getCompanyOverviewList","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiCompanyRequest"}}},"description":"request body with companies identifiers to lookup","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiCompaniesOverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find overviews by companies id-s","tags":["OverviewFi"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/fi/company/overview/1.0"}],"x-category":"company","x-countries":["fi"],"x-id":"OverviewApiFi"}